Overview
PUT
/persona/tool-templates/{id}personaUpdate tool_templates
Replace a record in tool-templates by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- toolKeyoptionalstring
- sourceKindoptionalstring
- displayNameoptionalstring
- descriptionoptionalstring
- readOnlyoptionalboolean
Example
{
"toolKey": "string",
"sourceKind": "string",
"displayName": "string",
"description": "string",
"readOnly": true
}Responses
200
tool_templates
- idstring
- toolKeystring
- sourceKindstring
- displayNamestring
- descriptionstring
- readOnlyboolean
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"toolKey": "string",
"sourceKind": "string",
"displayName": "string",
"description": "string",
"readOnly": true,
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/persona/tool-templates/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"toolKey": "string",
"sourceKind": "string",
"displayName": "string",
"description": "string",
"readOnly": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona/tool-templates/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"toolKey\": \"string\",\n \"sourceKind\": \"string\",\n \"displayName\": \"string\",\n \"description\": \"string\",\n \"readOnly\": true\n}",
});
const data = await res.json();